udisplaycontext.h File Reference

C API: Display context types (enum values) More...

`#include "unicode/utypes.h"`

Go to the source code of this file.

## Typedefs

typedef enum UDisplayContextType | UDisplayContextType
typedef enum UDisplayContext | UDisplayContext

## Enumerations

enum | UDisplayContextType { UDISPCTX_TYPE_DIALECT_HANDLING = 0 , UDISPCTX_TYPE_CAPITALIZATION = 1 , UDISPCTX_TYPE_DISPLAY_LENGTH = 2 , UDISPCTX_TYPE_SUBSTITUTE_HANDLING = 3 }
| Display context types, for getting values of a particular setting. More...

enum

UDisplayContext {
UDISPCTX_STANDARD_NAMES = (UDISPCTX_TYPE_DIALECT_HANDLING<<8) + 0 , UDISPCTX_DIALECT_NAMES = (UDISPCTX_TYPE_DIALECT_HANDLING<<8) + 1 , UDISPCTX_CAPITALIZATION_NONE = (UDISPCTX_TYPE_CAPITALIZATION<<8) + 0 , UDISPCTX_CAPITALIZATION_FOR_MIDDLE_OF_SENTENCE = (UDISPCTX_TYPE_CAPITALIZATION<<8) + 1 ,
UDISPCTX_CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE = (UDISPCTX_TYPE_CAPITALIZATION<<8) + 2 , UDISPCTX_CAPITALIZATION_FOR_UI_LIST_OR_MENU = (UDISPCTX_TYPE_CAPITALIZATION<<8) + 3 , UDISPCTX_CAPITALIZATION_FOR_STANDALONE = (UDISPCTX_TYPE_CAPITALIZATION<<8) + 4 , UDISPCTX_LENGTH_FULL = (UDISPCTX_TYPE_DISPLAY_LENGTH<<8) + 0 ,
UDISPCTX_LENGTH_SHORT = (UDISPCTX_TYPE_DISPLAY_LENGTH<<8) + 1 , UDISPCTX_SUBSTITUTE = (UDISPCTX_TYPE_SUBSTITUTE_HANDLING<<8) + 0 , UDISPCTX_NO_SUBSTITUTE = (UDISPCTX_TYPE_SUBSTITUTE_HANDLING<<8) + 1
}

| Display context settings. More...

## Detailed Description

C API: Display context types (enum values)

Definition in file udisplaycontext.h.

## Typedef Documentation

## UDisplayContext

typedef enum UDisplayContext UDisplayContext

Stable:
  ICU 51

Definition at line 1 of file udisplaycontext.h.

## UDisplayContextType

typedef enum UDisplayContextType UDisplayContextType

Stable:
  ICU 51

Definition at line 1 of file udisplaycontext.h.

## Enumeration Type Documentation

## UDisplayContext

enum UDisplayContext

Display context settings.

Note, the specific numeric values are internal and may change.

Stable:
  ICU 51

Enumerator

UDISPCTX_STANDARD_NAMES

A possible setting for DIALECT_HANDLING: use standard names when generating a locale name, e.g.

DIALECT_HANDLING can be set to one of UDISPCTX_STANDARD_NAMES or UDISPCTX_DIALECT_NAMES. Use UDisplayContextType UDISPCTX_TYPE_DIALECT_HANDLING to get the value. en_GB displays as 'English (United Kingdom)'.

Stable:
  ICU 51

UDISPCTX_DIALECT_NAMES

A possible setting for DIALECT_HANDLING: use dialect names, when generating a locale name, e.g.

en_GB displays as 'British English'.

Stable:
  ICU 51

UDISPCTX_CAPITALIZATION_NONE

The capitalization context to be used is unknown (this is the default value).

CAPITALIZATION can be set to one of UDISPCTX_CAPITALIZATION_NONE, UDISPCTX_CAPITALIZATION_FOR_MIDDLE_OF_SENTENCE, UDISPCTX_CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE, UDISPCTX_CAPITALIZATION_FOR_UI_LIST_OR_MENU, or UDISPCTX_CAPITALIZATION_FOR_STANDALONE. Use UDisplayContextType UDISPCTX_TYPE_CAPITALIZATION to get the value.

Stable:
  ICU 51

UDISPCTX_CAPITALIZATION_FOR_MIDDLE_OF_SENTENCE

The capitalization context if a date, date symbol or display name is to be formatted with capitalization appropriate for the middle of a sentence.

Stable:
  ICU 51

UDISPCTX_CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE

The capitalization context if a date, date symbol or display name is to be formatted with capitalization appropriate for the beginning of a sentence.

Stable:
  ICU 51

UDISPCTX_CAPITALIZATION_FOR_UI_LIST_OR_MENU

The capitalization context if a date, date symbol or display name is to be formatted with capitalization appropriate for a user-interface list or menu item.

Stable:
  ICU 51

UDISPCTX_CAPITALIZATION_FOR_STANDALONE

The capitalization context if a date, date symbol or display name is to be formatted with capitalization appropriate for stand-alone usage such as an isolated name on a calendar page.

Stable:
  ICU 51

UDISPCTX_LENGTH_FULL

A possible setting for DISPLAY_LENGTH: use full names when generating a locale name, e.g.

DISPLAY_LENGTH can be set to one of UDISPCTX_LENGTH_FULL or UDISPCTX_LENGTH_SHORT. Use UDisplayContextType UDISPCTX_TYPE_DISPLAY_LENGTH to get the value. "United States" for US.

Stable:
  ICU 54

UDISPCTX_LENGTH_SHORT

A possible setting for DISPLAY_LENGTH: use short names when generating a locale name, e.g.

"U.S." for US.

Stable:
  ICU 54

UDISPCTX_SUBSTITUTE

A possible setting for SUBSTITUTE_HANDLING: Returns a fallback value (e.g., the input code) when no data is available.

SUBSTITUTE_HANDLING can be set to one of UDISPCTX_SUBSTITUTE or UDISPCTX_NO_SUBSTITUTE. Use UDisplayContextType UDISPCTX_TYPE_SUBSTITUTE_HANDLING to get the value. This is the default value.

Stable:
  ICU 58

UDISPCTX_NO_SUBSTITUTE

A possible setting for SUBSTITUTE_HANDLING: Returns a null value with error code set to U_ILLEGAL_ARGUMENT_ERROR when no data is available.

Stable:
  ICU 58

Definition at line 64 of file udisplaycontext.h.

## UDisplayContextType

enum UDisplayContextType

Display context types, for getting values of a particular setting.

Note, the specific numeric values are internal and may change.

Stable:
  ICU 51

Enumerator

UDISPCTX_TYPE_DIALECT_HANDLING

Type to retrieve the dialect handling setting, e.g.

UDISPCTX_STANDARD_NAMES or UDISPCTX_DIALECT_NAMES.

Stable:
  ICU 51

UDISPCTX_TYPE_CAPITALIZATION

Type to retrieve the capitalization context setting, e.g.

UDISPCTX_CAPITALIZATION_NONE, UDISPCTX_CAPITALIZATION_FOR_MIDDLE_OF_SENTENCE, UDISPCTX_CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE, etc.

Stable:
  ICU 51

UDISPCTX_TYPE_DISPLAY_LENGTH

Type to retrieve the display length setting, e.g.

UDISPCTX_LENGTH_FULL, UDISPCTX_LENGTH_SHORT.

Stable:
  ICU 54

UDISPCTX_TYPE_SUBSTITUTE_HANDLING

Type to retrieve the substitute handling setting, e.g.

UDISPCTX_SUBSTITUTE, UDISPCTX_NO_SUBSTITUTE.

Stable:
  ICU 58

Definition at line 27 of file udisplaycontext.h.